<?php

class iHRIS_Module extends I2CE_Module {

    static function getHooks() {
        return array('template_pre_display'=>'setWelcomeData');
    }

    public function setWelcomeData($args) {
        $user = $args['user'];
        $template = $args['template'];
        $template->setDisplayData( "welcome_name", $user->firstname . " " . $user->lastname );
        $template->setDisplayData( "welcome_role", I2CE_User::lookupRole( $user->role ) );
        $siteModule = '';
        $version = '';
        $config = I2CE::getConfig();
        $config->__setIfIsSet($siteModule,"config/site/module");
        if ($siteModule) {
            $config->__setIfIsSet($version,"config/data/$siteModule/version");
        }
        $template->setDisplayData( "application_version",$version);
    }


}


# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
